rpiuser1
Posts: 4
Joined: Wed Jul 24, 2019 6:19 am

New Lirc (0.10.1-5.2) is not working on Raspbian

Wed Jul 24, 2019 6:40 am

Hello.
I'm running Raspbian 10 (buster) on Raspberry Pi Zero.
I've soldered GPIO panel to Pi and wanted to add IR input with KY-022 IR Reciever.
Unfortunately on installing lirc I've got the following error: Job for lircd.service failed because a fatal signal was delivered to the control process.
Looks like it's a bug that is not yet fixed.
So how do I install a previous version of lirc?
I tried sudo apt-get install lirc=0.9.1 but it shows the error: Version '0.9.4' for 'lirc' was not found.


P.S. Controlling Raspberry with IR seems to be a common use case, so why isn't it included in the distro by default?
Last edited by rpiuser1 on Wed Jul 24, 2019 9:29 am, edited 1 time in total.

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 26886
Joined: Sat Jul 30, 2011 7:41 pm

Re: New Lirc (0.10.1-5.2) is not working on Raspbian

Wed Jul 24, 2019 8:54 am

Because it's actually a very uncommon use case.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed.
I've been saying "Mucho" to my Spanish friend a lot more lately. It means a lot to him.

HiassofT
Posts: 305
Joined: Fri Jun 30, 2017 10:07 pm
Location: Salzburg, Austria
Contact: Website

Re: New Lirc (0.10.1-5.2) is not working on Raspbian

Wed Jul 24, 2019 9:30 am

This sounds a lot like you are hitting this Debian packaging bug: https://bugs.debian.org/cgi-bin/bugrepo ... bug=932779

Fortunately, the bug report mentions a simple workaround: when the installation fails, manually create the lirc_options.conf file:

Code: Select all

sudo cp /etc/lirc/lirc_options.conf.dist /etc/lirc/lirc_options.conf
After that run "sudo apt-get install" to finish the installation.

PS: just verified that I see the same issue on my laptop running Debian Buster, and the workaround works there, too.

so long,

Hias

rpiuser1
Posts: 4
Joined: Wed Jul 24, 2019 6:19 am

Re: New Lirc (0.10.1-5.2) is not working on Raspbian

Wed Jul 24, 2019 9:39 am

HiassofT, it works, thank you!

Return to “Troubleshooting”